Bug 214721 - Enable bookmark marker to be moved
Summary: Enable bookmark marker to be moved
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Tools/Bookmark Manager (show other bugs)
Version: 2.2.0
Platform: Ubuntu Unspecified
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-15 22:10 UTC by greatbunzinni
Modified: 2012-03-25 13:41 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description greatbunzinni 2009-11-15 22:10:15 UTC
Version:           2.2.0 (using KDE 4.3.3)
Installed from:    Ubuntu Packages

It would be great if it was possible to reposition the bookmark markers either by dragging the marker or by some dialog.
Comment 1 Sven Krohlas 2010-05-21 10:06:02 UTC
You can edit the URL in the bookmark manager, but d&d would be a lot better.
Comment 2 Matěj Laitl 2012-03-25 13:41:14 UTC
Git commit 55eb69bc3b0b58c930c8e957ef8f7985a586dd71 by Matěj Laitl, on behalf of Jasneet Bhatti.
Committed on 25/03/2012 at 14:03.
Pushed by laitl into branch 'master'.

Ability to move track position bookmarks, better AmarokUrl method name

FEATURES:
 * Ability to move track position bookmarks by dragging; patch by
   Jasneet Bhatti. (BR 214721)

Big thanks to Jasneet for the patch and great cooperation on the review
board.
FIXED-IN: 2.6
REVIEW: 104307

M  +2    -0    ChangeLog
M  +2    -2    src/amarokurls/AmarokUrl.cpp
M  +7    -2    src/amarokurls/AmarokUrl.h
M  +38   -0    src/amarokurls/BookmarkModel.cpp
M  +7    -0    src/amarokurls/BookmarkModel.h
M  +1    -1    src/amarokurls/ContextUrlGenerator.cpp
M  +11   -11   src/amarokurls/NavigationUrlGenerator.cpp
M  +17   -2    src/amarokurls/PlayUrlGenerator.cpp
M  +10   -1    src/amarokurls/PlayUrlGenerator.h
M  +1    -1    src/context/applets/similarartists/ArtistWidget.cpp
M  +1    -1    src/context/applets/upcomingevents/UpcomingEventsApplet.cpp
M  +1    -1    src/core-impl/collections/db/sql/CapabilityDelegateImpl.cpp
M  +4    -4    src/playlist/PlaylistViewUrlGenerator.cpp
M  +2    -2    src/services/ServiceCapabilities.cpp
M  +46   -11   src/widgets/BookmarkTriangle.cpp
M  +21   -5    src/widgets/BookmarkTriangle.h
M  +1    -2    src/widgets/SliderWidget.cpp
M  +2    -2    tests/amarokurls/TestAmarokUrls.cpp

http://commits.kde.org/amarok/55eb69bc3b0b58c930c8e957ef8f7985a586dd71